| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
AddBookmarkOptions Interface Reference
PDFViewCtrl » bookmark

Represents options for adding a new bookmark. More...

## Public Attributes
BookmarkTextColor | color
| Color of the new bookmark (optional). More...
number | destId
| The identifier of the destination bookmark (optional). If not specified, new bookmarks will be inserted at the top level, and the relationship value can only be BookmarkRelationship.FIRST_CHILD or BookmarkRelationship.LAST_CHILD. More...
BookmarkDestination | destination
| Destination information for the new bookmark (Optional, by default, it is specified according to the position and zoom ratio of the currently visible page). More...
BookmarkRelationship | relationship
| Relationship between the new bookmark and the bookmark specified by destId. More...
BookmarkFontStyle | style
| Font style of the new bookmark (optional). More...
string | title
| Title of the new bookmark (optional). More...

## Detailed Description

Represents options for adding a new bookmark.

See also
  BookmarkDataService.addBookmark

Since
  10.0.0

## Member Data Documentation

## ◆ color

BookmarkTextColor AddBookmarkOptions::color

Color of the new bookmark (optional).

Since
  10.0.0

## ◆ destId

number AddBookmarkOptions::destId

The identifier of the destination bookmark (optional). If not specified, new bookmarks will be inserted at the top level, and the relationship value can only be BookmarkRelationship.FIRST_CHILD or BookmarkRelationship.LAST_CHILD.

Since
  10.0.0

## ◆ destination

BookmarkDestination AddBookmarkOptions::destination

Destination information for the new bookmark (Optional, by default, it is specified according to the position and zoom ratio of the currently visible page).

Since
  10.0.0

## ◆ relationship

BookmarkRelationship AddBookmarkOptions::relationship

Relationship between the new bookmark and the bookmark specified by destId.

Since
  10.0.0

## ◆ style

BookmarkFontStyle AddBookmarkOptions::style

Font style of the new bookmark (optional).

Since
  10.0.0

## ◆ title

string AddBookmarkOptions::title

Title of the new bookmark (optional).

Since
  10.0.0

@2025 Foxit Software Incorporated. All rights reserved.